<?php
namespace Teknisa\FAI\Modules\Tabelas\Controllers;

use Zeedhi\Framework\DTO;

class Fai39000ServicosPorCliente extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $environment;
    protected $crudService;
    protected $parameterBag;
    protected $dataSourceName;
    protected $parameterBagColumns;

    public function __construct($crudService, $parameterBag, $environment) {

        $this->crudService  = $crudService;
        $this->parameterBag = $parameterBag;
        $this->environment  = $environment;
    }

    public function filtroClienteServico(DTO\Request\Filter $request, DTO\Response $response) {

        $filterCriteria = $request->getFilterCriteria();

        $filterCriteria->addCondition('CDFILIAL', "=", $this->environment->getCdFilial());

        $this->dataSourceName = "servporcliente";
        $this->parameterBagColumns = array("CDFILIAL", "CDCLIENTE");

        parent::find($request, $response);
    }



    public function saveteste(DTO\Request\Row $request, DTO\Response $response){
        $this->dataSourceName = "servclie";
        parent::save($request, $response);
    }

}